sensorfw: HumidityAdaptor Class Reference

sensorfw

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
HumidityAdaptor Class Reference

`#include <humidityadaptor.h>`

Inheritance diagram for HumidityAdaptor:

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()
virtual bool | standby ()
virtual bool | resume ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of AccelerometerAdaptor class. More...

## Protected Member Functions
| HumidityAdaptor (const QString &id)
| Constructor. More...
| ~HumidityAdaptor ()
virtual unsigned int | evaluateIntervalRequests (int &sessionId) const
| Reimplement to allow for 0 interval to be the slowest entry. More...

## Detailed Description

Definition at line 33 of file humidityadaptor.h.

## Constructor & Destructor Documentation

## ◆ HumidityAdaptor()

HumidityAdaptor::HumidityAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~HumidityAdaptor()

HumidityAdaptor::~HumidityAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ evaluateIntervalRequests()

virtual unsigned int HumidityAdaptor::evaluateIntervalRequests | ( | int & | sessionId | ) | const
| protectedvirtual

Reimplement to allow for 0 interval to be the slowest entry.

## ◆ factoryMethod()

static DeviceAdaptor * HumidityAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of AccelerometerAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 41 of file humidityadaptor.h.

## ◆ resume()

virtual bool HumidityAdaptor::resume | ( |  | ) |
| virtual

## ◆ standby()

virtual bool HumidityAdaptor::standby | ( |  | ) |
| virtual

## ◆ startSensor()

virtual bool HumidityAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void HumidityAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/humidityadaptor/humidityadaptor.h